> For the complete documentation index, see [llms.txt](https://docs.servoy.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.servoy.com/reference/servoy-developer/solution-explorer/all-solutions/active-solution/datasources/viewfoundsets-datasource/viewfoundset-datasource.md).

# View Foundset DataSources

## Overview

The View Foundset DataSource represents a custom table, which instead of coming from a database exists just as a definition. The data in this table will be loaded at runtime.

## Commands Summary

A summary of commands available on this item via right-click context menu:

| Command                                       | Summary                                                                                                     |
| --------------------------------------------- | ----------------------------------------------------------------------------------------------------------- |
| [Edit table/view](#edit-table-view)           | Opens the [Table Editor](https://docs.servoy.com/reference/servoy-developer/object-editors/table-editor.md) |
| [Delete View Foundset](#delete-view-foundset) | Deletes View Foundset definition                                                                            |
| [Rename View Foundset](#rename-view-foundset) | Renames View Foundset definition                                                                            |

## Commands Details

The details for each command available on this item via right-click context menu:

### Edit table/view

Opens the [Table Editor](https://docs.servoy.com/reference/servoy-developer/object-editors/table-editor.md) to edit the View Foundset table and its associated column information (metadata stored by Servoy Developer).

### Delete View Foundset

Deletes View Foundset definition.

### Rename View Foundset

Renames the View Foundset definition (table).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.servoy.com/reference/servoy-developer/solution-explorer/all-solutions/active-solution/datasources/viewfoundsets-datasource/viewfoundset-datasource.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
